--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,18 @@
+dmucs (0.6.1-2.2) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Packaging changes:
+    - Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
+    - Switch from cddbs to debhelper 9 to enable hardened build flags.
+    - Update to Standards-Version to 3.9.3
+  * Patches:
+    - Number 10: New. Move in-line changes to original sources here.
+    - Number 20: Update with "quilt refresh" to make it apply cleanly.
+    - Number 20: New. Fix for hardened build flags.
+  * Fix copyright-refers-to-symlink-license (Lintian).
+
+ -- Jari Aalto <jari.aalto@cante.net>  Thu, 12 Apr 2012 16:04:32 +0300
+
 dmucs (0.6.1-2.1) unstable; urgency=low
 
   * Non-maintainer upload to fix release goal.
--- a/debian/compat
+++ b/debian/compat
@@ -1 +1 @@
-5
+9
--- a/debian/control
+++ b/debian/control
@@ -2,8 +2,8 @@ Source: dmucs
 Section: devel
 Priority: extra
 Maintainer: Sam Clegg <samo@debian.org>
-Build-Depends: cdbs, debhelper (>= 5), autotools-dev, dpatch
-Standards-Version: 3.8.0
+Build-Depends: debhelper (>= 9), autotools-dev
+Standards-Version: 3.9.3
 
 Package: dmucs
 Architecture: any
--- a/debian/copyright
+++ b/debian/copyright
@@ -24,7 +24,7 @@ Copyright:
    Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  */
 
 On Debian GNU/Linux systems, the complete text of the GNU General
-Public License can be found in `/usr/share/common-licenses/GPL'.
+Public License can be found in `/usr/share/common-licenses/GPL-2'.
 
 The files in the COSMIC are Copyright (C) 1999-2005 Charles E. Campbell, Jr
 and distributed under the following license (the following text is from
--- a/debian/rules
+++ b/debian/rules
@@ -1,11 +1,15 @@
 #!/usr/bin/make -f
-  
-include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/autotools.mk
-include /usr/share/cdbs/1/rules/dpatch.mk
 
-install/dmucs::
-	cp remhost addhost
+export DEB_BUILD_MAINT_OPTIONS	= hardening=+all
+export DEB_CFLAGS_MAINT_APPEND	= -Wall
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
-clean::
+override_dh_auto_install:
+	cp -a remhost addhost
+
+override_dh_clean:
+	dh_clean
 	rm -f addhost config.log
+
+%:
+	dh $@
--- /dev/null
+++ b/debian/source/format
@@ -0,0 +1 @@
+3.0 (quilt)
